commit 0177a958f7f4c8237e1fbc5066994d6cfc6445e8
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Mon Aug 12 20:27:43 2013 +0100

    Fix systool invocation in device-mapper plug-in
    
    The devicemapper plug-in uses invalid syntax to call systool.
    
    Correct this and add a few additional device classes and modules
    to the list of information gathered.
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

diff --git a/sos/plugins/devicemapper.py b/sos/plugins/devicemapper.py
index 1d40d2a..249007f 100644
--- a/sos/plugins/devicemapper.py
+++ b/sos/plugins/devicemapper.py
@@ -48,7 +48,13 @@ class devicemapper(sos.plugintools.PluginBase):
         self.addCopySpec("/var/lib/multipath/bindings")
         self.collectExtOutput("/sbin/multipath -v4 -ll")
 
-        self.collectExtOutput("/usr/bin/systool -v -c -b scsi")
+        self.collectExtOutput("/usr/bin/systool -v -b scsi")
+        self.collectExtOutput("/usr/bin/systool -v -c scsi_device")
+        self.collectExtOutput("/usr/bin/systool -v -c scsi_host")
+        self.collectExtOutput("/usr/bin/systool -v -c scsi_disk")
+        self.collectExtOutput("/usr/bin/systool -v -c scsi_generic")
+        self.collectExtOutput("/usr/bin/systool -v -m scsi_mod")
+        self.collectExtOutput("/usr/bin/systool -v -m scsi_transport_fc")
 
         self.collectExtOutput("/bin/ls -laR /dev")
         self.collectExtOutput("/bin/ls -laR /sys/block")
